%define ver_major 2.16
%define gnome_distributor "%vendor"
%define gnome_date "%(date "+%%B %%e %%Y"), Moscow"
%def_disable static

Name: gnome-desktop
Version: %ver_major.3
Release: alt1

Summary: The gnome desktop programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: gnome-about.png
Icon: gnome-desktop-icon.xpm

Conflicts: gnome-core

# From configure.in
%define gtk_ver 2.8.0
%define glib_ver 2.8.0
%define libgnomecanvas_ver 2.0.0
%define libgnomeui_ver 2.6.0
%define gnome_vfs_ver 2.0.0
%define startup_notification_ver 0.5

Requires: lib%name = %version-%release
Requires: yelp icon-theme-hicolor gnome-filesystem
# FIXME: What is it for?
Requires: menu

BuildPreReq: intltool >= 0.35
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: gnome-doc-utils scrollkeeper
BuildPreReq: gtk-doc >= 1.4

BuildPreReq: gnome-common >= 2.8.0
BuildPreReq: pkgconfig >= 0.8
BuildRequires: libSM-devel perl-XML-Parser

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The %name package includes the basic programs and
libraries that are needed to install GNOME.

GNOME Desktop provides the core icons and libraries for the gnome
desktop.

%package -n lib%name
Summary: GNOME desktop core libraries
Group: Graphical desktop/GNOME

Icon: gnome-desktop-icon-l.xpm

Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver

%description -n lib%name
Gnome 2 desktop libraries.

%package -n lib%name-devel
Summary: GNOME desktop develop libraries and includes
Group: Development/GNOME and GTK+

Icon: gnome-desktop-icon-d.xpm

Requires: lib%name = %version-%release
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libstartup-notification-devel >= %startup_notification_ver

%description -n lib%name-devel
Gnome 2 desktop libraries and header files for creating GNOME panels.

%package -n lib%name-devel-static
Summary: GNOME desktop develop libraries and includes
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

Icon: gnome-desktop-icon-ds.xpm

%description -n lib%name-devel-static
Gnome 2 desktop static libraries for creating GNOME panels.

%prep
%setup -q

# xsltproc stumbles upon &copy; (something wrong with DTD?),
# so we replace it with a Unicode representation.
%__subst 's|\&copy;|\&#169;|' desktop-docs/fdl/C/fdl.xml

%build
%configure \
    %{subst_enable static} \
    --disable-scrollkeeper \
    --disable-install-schemas \
    --with-gnome-distributor=%gnome_distributor \
    --with-gnome-date=%gnome_date

%make_build

%install
%makeinstall

# Menu
%__install -p -m644 %SOURCE1 %buildroot%_datadir/pixmaps/

#%__mkdir_p %buildroot%_datadir/gnome/distribution-menus/ALTLinux
#%__mkdir_p %buildroot%_datadir/application-registry

%find_lang --with-gnome --output=%name.lang %name %name-2.0 fdl gnome-feedback gpl lgpl

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %post_ldconfig

%files
%_bindir/*
%_datadir/applications/*
%_datadir/gnome-about
%_datadir/pixmaps/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name -f %name.lang
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/%name

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sat Feb 10 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version (2.16.3)
- dropped the dependency on gnome-user-docs

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- removed /usr/share/gnome items, as they went to gnome-filesystem package.

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version 2.15.92 (with rpmrb script)

* Sat Aug 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- updated dependencies
- spec cleanup

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version
- updated required Gtk+ version.

* Tue Apr 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version (2.14.1)
- added gtk-doc files (for the moment, to lib%name-devel package).
- removed Debian menu support.
- cleaned up the spec.

* Tue Mar 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version 2.14.0 (with rpmrb script)

* Mon Feb 13 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version
- Updated dependencies from configure.in and .pc files.

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Scrollkeeper dependency fixes.
- Removed excess buildreqs.

* Wed Apr 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Tue Feb 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90.1-alt1
- 2.9.90.1

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.1-alt1
- 2.6.0.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Wed Mar 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3
- /usr/share/application-registry owned by gnome-desktop package (close #3509).

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1.1-alt1
- 2.4.1.1

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.1-alt1
- 2.3.6.1

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Sep 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt2
- yelp and gnome2-user-docs added to requires list.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Thu Jun 20 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- Initial build for AltLinux
  (aris)
    + %name-devel{,-static} renamed to lib%name-devel{,-static}.
    + post{,un} sections fixed.
    + build process fixed (SMP compatible build).
- Fixes from Yuri Sedunov <aris@altlinux.ru>
    + sawfish2 added to requires list
    + replace command by macros
    + cleaup spec

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Fixed remaining formating issues
- converted to .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-desktop
